Bug 997966 - Review Request: python-sqlalchemy0.8 - Modular and flexible ORM library for python
Summary: Review Request: python-sqlalchemy0.8 - Modular and flexible ORM library for p...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcelo Barbosa "firemanxbr"
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-16 15:59 UTC by Ralph Bean
Modified: 2014-01-23 02:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-23 02:45:17 UTC
marcelo.barbosa: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
root.log (26.80 KB, text/x-log)
2013-08-28 12:08 UTC, Marcelo Barbosa "firemanxbr"
no flags Details
build.log (3.32 KB, text/x-log)
2013-08-28 12:09 UTC, Marcelo Barbosa "firemanxbr"
no flags Details

Description Ralph Bean 2013-08-16 15:59:00 UTC
Spec URL: http://threebean.org/rpm/python-sqlalchemy0.8.spec
SRPM URL: http://threebean.org/rpm/python-sqlalchemy0.8-0.8.2-2.fc19.src.rpm
Description: Modular and flexible ORM library for python
Fedora Account System Username: ralph

This is a forward compat package intended only for el6.

Koji scratch build - 
http://koji.fedoraproject.org/koji/taskinfo?taskID=5822306

Comment 1 Marcelo Barbosa "firemanxbr" 2013-08-19 19:34:00 UTC
Hi Ralph,

You don't need to submit a request for new package inclusion for RPMs that already have branches. This particular RPM exists in Fedora and EPEL, please see:

 https://apps.fedoraproject.org/packages/s/python-sqlalchemy

 If you wish update this package, it just take requesting access to do so, please check:

https://fedoraproject.org/wiki/Package_SCM_admin_requests#Package_Change_Requests_for_existing_packages

Marcelo Barbosa (firemanxbr)

Comment 2 Ralph Bean 2013-08-19 20:49:05 UTC
Ah, respectfully I'd like to re-open the ticket.

I'd actually rather not update python-sqlalchemy.  It is version 0.5 in EPEL6, and updating to version 0.8 will likely break a great number of other packages.

I wanted to create a forward-compat package that can be parallel installed with python-sqlalchemy.

This has already been done in the package python-sqlalchemy0.7, this would make a second forward-compat package python-sqlalchemy0.8.

Comment 3 Marcelo Barbosa "firemanxbr" 2013-08-19 21:16:13 UTC
Ralph,

   OKay, I understood your arguments, I will review this package, but before I take this ticket to start doing a formal review I need to figure out if this is your first package submission or not. As I failed to find your FAS account, could you tell me what it is, please?

Cheers 

Marcelo Barbosa (firemanxbr)

Comment 4 Ralph Bean 2013-08-20 01:12:57 UTC
Oh, sorry about that.  My FAS account is "ralph".

Comment 5 Ralph Bean 2013-08-26 19:52:26 UTC
Ping -- just noting that this is blocking the latest release of python-tahrir-api.

Comment 6 Marcelo Barbosa "firemanxbr" 2013-08-26 20:46:52 UTC
Ralph,

   Please see this issues about your package:

 1) python-sqlalchemy0.8.src: E: specfile-error warning: bogus date in %changelog: Fri Sep 06 2007 Toshio Kuratomi <a.badger@gmail.com> - 0.4.0-0.4.beta4

 2) python-sqlalchemy0.8.x86_64: E: non-executable-script /usr/lib64/python2.6/site-packages/SQLAlchemy-0.8.2-py2.6-linux-x86_64.egg/sqlalchemy/testing/runner.py 0644L /usr/bin/env

 3) Large documentation must go in a -doc subpackage.
  Note: Documentation size is 10956800 bytes in 218 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

Regards.

Marcelo Barbosa (firemanxbr)

Comment 7 Ralph Bean 2013-08-27 00:25:26 UTC
I'll put out a new release addressing issues 1 and 2, but respectfully I'd like to not do number 3.  The rawhide sqlalchemy-0.8 package has the same amount of documentation, but doesn't keep it in a -doc subpackage.

https://apps.fedoraproject.org/packages/python-sqlalchemy/sources/spec/

Comment 8 Ralph Bean 2013-08-27 00:27:43 UTC
New release with fixes to issues #1 and #2:

Spec URL: http://threebean.org/rpm/python-sqlalchemy0.8.spec
SRPM URL: http://threebean.org/rpm/python-sqlalchemy0.8-0.8.2-3.fc19.src.rpm

Comment 9 Marcelo Barbosa "firemanxbr" 2013-08-28 12:08:58 UTC
Created attachment 791364 [details]
root.log

Comment 10 Marcelo Barbosa "firemanxbr" 2013-08-28 12:09:21 UTC
Created attachment 791365 [details]
build.log

Comment 11 Marcelo Barbosa "firemanxbr" 2013-08-28 12:10:36 UTC
Ralph,

   Please verify this new package some error exist in this:

$ fedora-review -b 997966 -m epel-6-x86_64

INFO: Processing bugzilla bug: 997966
INFO: Getting .spec and .srpm Urls from : 997966
INFO:   --> SRPM url: http://threebean.org/rpm/python-sqlalchemy0.8-0.8.2-3.fc19.src.rpm
INFO:   --> Spec url: http://threebean.org/rpm/python-sqlalchemy0.8.spec
INFO: Using review directory: /firebackup/rpmbuild/SOURCES/reviews/997966-python-sqlalchemy0.8
INFO: Downloading .spec and .srpm files
INFO: Downloading (Source0): http://pypi.python.org/packages/source/S/SQLAlchemy/SQLAlchemy-0.8.2.tar.gz
INFO: No upstream for (Source1): README.Fedora
INFO: Running checks and generating report

ERROR: Exception(/firebackup/rpmbuild/SOURCES/reviews/997966-python-sqlalchemy0.8/srpm/python-sqlalchemy0.8-0.8.2-3.fc19.src.rpm) Config(epel-6-x86_64) 0 minutes 25 seconds
INFO: Results and/or logs in: /firebackup/rpmbuild/SOURCES/reviews/997966-python-sqlalchemy0.8/results
ERROR: Command failed. See logs for output.
INFO: WARNING: Probably non-rawhide buildroot used. Rawhide should be used for most package reviews
ERROR: 'mock build failed, see /firebackup/rpmbuild/SOURCES/reviews/997966-python-sqlalchemy0.8/results/build.log'

Marcelo Barbosa (firemanxbr)

Comment 12 Ralph Bean 2013-08-28 16:04:00 UTC
New release fixes the incorrect sed line in the prep section; verified afterwards with mock.

Spec URL: http://threebean.org/rpm/python-sqlalchemy0.8.spec
SRPM URL: http://threebean.org/rpm/python-sqlalchemy0.8-0.8.2-4.fc19.src.rpm

Comment 13 Marcelo Barbosa "firemanxbr" 2013-08-30 13:50:30 UTC
Ralph,

   Please see my observations for yours future packages:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


* Below is false positive:
Issues:
=======
- Large documentation must go in a -doc subpackage.
  Note: Documentation size is 10956800 bytes in 218 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.

* is not impediment to approval
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required

[x]: Sources contain only permissible code or content.

* is not impediment to approval
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed

[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 250 files have unknown
     license. Detailed output of licensecheck in
     /firebackup/rpmbuild/SOURCES/reviews/997966-python-
     sqlalchemy0.8/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
* is not impediment to approval
[x]: Buildroot is not present
     Note: Buildroot: present but not needed

* is not impediment to approval
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:

* this it false positive:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 11192320 bytes in /usr/share 11192320
     python-sqlalchemy0.8-0.8.2-4.el6.x86_64.rpm

[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-sqlalchemy0.8-0.8.2-4.el6.x86_64.rpm
python-sqlalchemy0.8.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/python-sqlalchemy0.8-0.8.2/examples/dynamic_dict/dynamic_dict.py
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-sqlalchemy0.8
rpmdb: /var/lib/rpm/Name: unexpected file type or format
error: cannot open Name index using db3 - Invalid argument (22)
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
rpmdb: /var/lib/rpm/Name: unexpected file type or format
(none): E: error while reading python-sqlalchemy0.8: 'python-sqlalchemy0.8'
0 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-sqlalchemy0.8 (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.6.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python-sqlalchemy0.8:
    python-sqlalchemy0.8
    python-sqlalchemy0.8(x86-64)



Unversioned so-files
--------------------
python-sqlalchemy0.8: /usr/lib64/python2.6/site-packages/SQLAlchemy-0.8.2-py2.6-linux-x86_64.egg/sqlalchemy/cprocessors.so
python-sqlalchemy0.8: /usr/lib64/python2.6/site-packages/SQLAlchemy-0.8.2-py2.6-linux-x86_64.egg/sqlalchemy/cresultproxy.so
python-sqlalchemy0.8: /usr/lib64/python2.6/site-packages/SQLAlchemy-0.8.2-py2.6-linux-x86_64.egg/sqlalchemy/cutils.so

Source checksums
----------------
http://pypi.python.org/packages/source/S/SQLAlchemy/SQLAlchemy-0.8.2.tar.gz :
  CHECKSUM(SHA256) this package     : 71ce685f0e643bae95c7d4ace7ff8d6dcb37e99605cab3cf31c2be006c17905f
  CHECKSUM(SHA256) upstream package : 71ce685f0e643bae95c7d4ace7ff8d6dcb37e99605cab3cf31c2be006c17905f


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: epel-6-x86_64
Command line :/usr/bin/fedora-review -b 997966 -m epel-6-x86_64

----------------

PACKAGE APPROVED

----------------

Comment 14 Michael Schwendt 2013-08-30 15:23:34 UTC
> * Below is false positive:
> Issues:
> =======
> - Large documentation must go in a -doc subpackage.
>   Note: Documentation size is 10956800 bytes in 218 files.

It isn't a false positive. It's up to the package maintainer to decide when documentation is considered "large", but keeping 10 MB of documentation in a run-time package and duplicating the docs in the (disabled) python3 subpackage isn't ideal.

https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
| MUST: Large documentation files must go in a -doc subpackage.
| (The definition of large is left up to the packager's best
| judgement, but is not restricted to size. Large can refer to
| either size or quantity).

> %defattr(-,root,root,-)

This is really not needed anymore, not even for EL5.


> %if 0%{?fedora} && 0%{?fedora} < 13

Support for Fedora < 13?

Comment 15 Ralph Bean 2013-08-30 16:52:33 UTC
Michael, I'll nix the defattr and fedora < 13 stuff on import.  W.r.t. the docs question, I'm trying as best I can to keep this foward-compat package close in style to the existing packages.

Comment 16 Ralph Bean 2013-08-30 16:52:49 UTC
And Marcelo, thank you for the review!

Comment 17 Ralph Bean 2013-08-30 16:54:58 UTC
New Package SCM Request
=======================
Package Name: python-sqlalchemy0.8
Short Description: Modular and flexible ORM library for python
Owners: ralph
Branches: el6
InitialCC:

Comment 18 Gwyn Ciesla 2013-08-30 16:58:49 UTC
Git done (by process-git-requests).

Comment 19 Fedora Update System 2013-08-30 18:57:18 UTC
python-sqlalchemy0.8-0.8.2-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-sqlalchemy0.8-0.8.2-4.el6

Comment 20 Fedora Update System 2013-09-16 17:43:01 UTC
python-sqlalchemy0.8-0.8.2-4.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.